Last Comment Bug 301681 - [az] Azerbaijani: Firefox, Thunderbird
: [az] Azerbaijani: Firefox, Thunderbird
Status: RESOLVED INCOMPLETE
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
:
Mentors:
: 339195 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 00:56 PDT by F@rhad
Modified: 2010-08-05 12:58 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
firefox 2 source code (az) (265.06 KB, application/zip)
2006-12-06 22:57 PST, F@rhad
l10n: review-
Details
thunderbird 1.5.0.8 language pack for windows (az) (239.54 KB, application/x-xpinstall)
2006-12-06 23:00 PST, F@rhad
l10n: review-
Details
thunderbird 1.5.0.8 language pack for linux\mac (az) (239.50 KB, application/x-xpinstall)
2006-12-06 23:01 PST, F@rhad
l10n: review-
Details

Description F@rhad 2005-07-22 00:56:36 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; az-AZ; rv:1.7.10) Gecko/20050716 Firefox/1.0.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; az-AZ; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

I've translate Firefox and Thunderbird into Azeri (az, az-AZ). how can I
register and send my translates.

Reproducible: Always




there're not any translater exept me.
Comment 1 F@rhad 2005-07-22 00:59:17 PDT
I've translate Firefox and Thunderbird into Azeri (az, az-AZ). how can I
register and send my translates. 
thanks
Comment 2 Pavel Franc - Mozilla.cz 2005-07-22 02:37:59 PDT
(In reply to comment #1)
> I've translate Firefox and Thunderbird into Azeri (az, az-AZ). how can I
> register and send my translates.

Great. You just registered yourself filling this bug. Now you can be considered
as a owner of Azeri localization. However, you will become the owner as the
proccess of commiting localization is completed and somebody from MPL stuff
closes this bug as FIXED.

In order to commit Azeri localization of Firefox or Thunderbird you need to
apply for CVS account - see bug 263726 as an example.

To get more information about the l10n and CVS access please visit

1] http://wiki.mozilla.org/L10n:Home_Page
2] http://lxr.mozilla.org/l10n/source/
3] http://www.mozilla.org/cvs-ssh-faq.html#s2
4] http://www.mozilla.org/hacking/form.html

Comment 3 Ahmet Serkan Tıratacı 2005-12-13 06:39:08 PST
Any development Ferhad?
Comment 5 Marcia Knous [:marcia - use ni] 2006-01-06 15:00:44 PST
What is needed to move forward is the CVS form to be filled out and faxed (www.mozilla.org/hacking/form.html) and a voucher to post in this bug.  You will also need to add an SSH key.
Comment 6 Marek Stępień [:marcoos, inactive] 2006-08-27 05:11:27 PDT
There's another request for az-AZ in bug 339195.
Comment 7 Ferhad Yunisov 2006-09-19 03:27:18 PDT
hi
I've updated Firefox 1.5.0.7 and Thunderbird 1.5.0.7 versions and place in my web page at www.yunisli.org.
I sent mail with filled contributors form in pdf and jpg format but nobody answer.what can I do else?
thanks
Comment 8 Marcia Knous [:marcia - use ni] 2006-12-01 11:04:57 PST
I have received the CVS form from Said Babayev. However, this looks to be the registration bug for the locale. I am not sure a CVS bug was ever opened. This email was also sent to me, pasting this in for information and adding axel to the bug:

Hi Axel,

Ferhad Yunisov is an Azeri, who have worked a lot to make Firefox and Thunderbird available in his native language, namely Azeri (az-AZ).

As Azeri and Turkish are both Turkic languages and we can understand each other, he contacted us many times to help him with registering him as locale owner and releasing Firefox and Thunderbird in Azeri.

Now he says that he needs a voucher to become locale owner. (The necessary form has been sent to Marcia Knous as he says, but hasn't been confirmed yet.)

I don't know how vouching system works and why such a voucher is needed.

I know that you are voucher for one or more locales that have recently been registered, even though I can't remember which locales they are at the moment.

Anyway, what I want to ask is if you can be voucher for Azeri locale, too.

I'm CC'ing Ferhad.

Thanks in advance,

Serkan

P.S. Registration bug: https://bugzilla.mozilla.org/show_bug.cgi?id=301681 
Comment 9 Said Babayev 2006-12-05 20:24:58 PST
(In reply to comment #8)
Marcia,

Have you any suggestions regarding this? All we need, is to be able to put Azeri version on mozilla's official web site. Ferhad translated needed files, and now he's making installers and releasing on his own site, anyway, it would much better to upload those translations (.jar) to mozilla CVS. The question is, how we can do this? You can give CVS account any of us, Ferhad or me, cause we can work together.

Regards,
Said
(Azerbaijan)
Comment 10 Ahmet Serkan Tıratacı 2006-12-06 02:44:56 PST
I'm the one who emailed Axel about vouching. Anyway, as far as I know, Ferhad sent necessary documents to Marcia, but this hasn't been confirmed yet.

I really want this registration process to end succesfully so that Azeri can be one of official Mozilla languages. Let all please focus on this, and make this real.
Comment 11 Axel Hecht [:Pike] 2006-12-06 15:49:58 PST
So, what we need to proceed forward is a source localization here.
Note, that won't make things go quick immediatly, as we're currently on hold in taking new locales. We're discussing on some of the growing pains going forward, and I'm not sure we have vetted them all out.

Anyway, the path forward is likely going to look pretty close to this:

Submit a localization of Firefox 2 in source form (zip, or tar.gz) as an attachement to this bug, and request review from me (set the review flag to ?, put my account in the requestee field). Then, if all goes well, we'll march through the release process, which will involve dealing with the product parts as lined out in http://wiki.mozilla.org/Firefox2/L10n_Requirements. It will help a great deal if you work on those issues before submitting the locale for review.

Once the locale is in a reasonable state, we'll approve it and grant cvs access, then stuff lands on the trunk to get some post-approval fixup work done. Then we'll branch, and you'll hopefully get one minor release cycle as beta following that.

We're not going to just put contributed builds on ftp, there is too much QA involved in that, and we're hoping that a beta phase will be good for the then actually released versions. In particular when you're moving from 1.5 to 2.0.
Comment 12 F@rhad 2006-12-06 22:57:10 PST
Created attachment 247785 [details]
firefox 2 source code (az)

hi
I translate Firefox and Thunderbird from 1.0.1 version till now. Firefox is updated to 2 and works properly. Thunderbird is 1.5.0.7 version.

I need installer's source code for windows. original install.exe file supports ansi code page. I want make installer with unicode support. I can pack into msi or exe installer.

thanks
Comment 13 F@rhad 2006-12-06 23:00:49 PST
Created attachment 247786 [details]
thunderbird 1.5.0.8 language pack for windows (az)

hi its thunderbird 1.5.0.7 translated pack
Comment 14 F@rhad 2006-12-06 23:01:55 PST
Created attachment 247787 [details]
thunderbird 1.5.0.8 language pack for linux\mac (az)

hi its thunderbird 1.5.0.7 translated pack for linux and mac
Comment 15 F@rhad 2006-12-06 23:13:53 PST
sorry thunderbird version is 1.5.0.8
thanks
Comment 16 Axel Hecht [:Pike] 2007-02-16 04:26:53 PST
Comment on attachment 247787 [details]
thunderbird 1.5.0.8 language pack for linux\mac (az)

Turning down the review requests on language packs to begin with. We'll need sources. We should start with Firefox anyway, Thunderbird is in the middle of going to 2.0 and we shouldn't add locales to that wagon right now.
Comment 17 Axel Hecht [:Pike] 2007-02-16 04:58:13 PST
*** Bug 339195 has been marked as a duplicate of this bug. ***
Comment 18 Axel Hecht [:Pike] 2007-04-02 10:44:53 PDT
Comment on attachment 247785 [details]
firefox 2 source code (az)

oops, sorry. This one dropped off my radar.

r-, as this isn't a source.

There are further comments on http://developer.mozilla.org/en/docs/Create_a_new_localization by now, which might be of some help.
Comment 19 Gervase Markham [:gerv] 2007-09-19 02:24:07 PDT
On behalf of the Mozilla Project, I'd like to apologise for the delay. We very much appreciate offers of help in localization.

If anyone reading this is still interested in helping to translate one or more Mozilla products into the language that this bug is about, please add a new comment to this bug to confirm your interest, saying again which products you would like to localize e.g., Firefox, Thunderbird. We will then make the necessary arrangements.
Comment 20 Gervase Markham [:gerv] 2007-10-20 09:29:33 PDT
No response after a month; closing the bug as INCOMPLETE. If anyone reading
this is interested in localising Mozilla products into this language, we'd love
to hear from you! Please file a new bug about it.

Thanks,

Gerv

Comment 21 Daniel Veditz [:dveditz] 2010-02-10 17:50:27 PST
Someone's trying to make a fresh start in bug 544383 -- send them here or better to start over after all this time?
Comment 22 AzerDict 2010-02-11 10:45:14 PST
(In reply to comment #21)
> Someone's trying to make a fresh start in bug 544383 -- send them here or
> better to start over after all this time?

Dear Bugzilla Team,

As shown in bug 544383 I would like to create a new localisation team for Azerbaijani. Please approve our request and we'll do our best to finish translation of appropriate Mozilla product.

Regards,
AzerDict
Comment 23 Ferhad Yunisov 2010-08-03 23:25:01 PDT
Hi dear members
I began and finished translate Firefox 4 beta2 version.
must I register it separately?
Comment 24 Seth Bindernagel 2010-08-05 01:34:07 PDT
(In reply to comment #23)
> Hi dear members
> I began and finished translate Firefox 4 beta2 version.
> must I register it separately?

Can you attach what you have completed for Firefox 4 beta 2 to this bug.  We will need the .xpi that contains all of the translated files from the Mozilla source code.  When you send us that, we can do a review and get back to you with the next steps.
Comment 25 Axel Hecht [:Pike] 2010-08-05 01:59:17 PDT
Ferhad, are you in contact with the azerdict folks?

I'd rather not get into the boat of having to negotiate between two competing efforts.

Also, small correction to what sethb said, please don't attach a xpi. Attach a zip or a tarball of the source, as that is what we'll use to build localized builds.
Comment 26 Ferhad Yunisov 2010-08-05 02:15:11 PDT
no a've no contacts with them.
and I don't know what they're translating.
I finished and tested on windows xp and 7, it works. I used English installer exe for testing and a question.
how it'll be with differences between different translated terms? may be they use different words for same originals.
Comment 27 Seth Bindernagel 2010-08-05 04:20:00 PDT
Ferhad, can you contact the Azerdict team in bug 544383?  You can see there that they have been working for some time and even commented in this bug that they were interested in launching a new localization since this bug had been dormant for so long.  

In fact, we resolved the bug incomplete so the Azerdict team could take up the work.  We had not heard from you for a very long time and the Azerdict team did their best to reach out to you in this bug.  I would suggest contacting them to see where they are with their work and seeing if you can consolidate efforts together as one team.

See my comment here.

https://bugzilla.mozilla.org/show_bug.cgi?id=544383#c17
Comment 28 Ferhad Yunisov 2010-08-05 04:57:35 PDT
by their comment they began translate after me and finished half work.
I wish you and them good luck and hope my translates aren't illegal.
Comment 29 AzerDict 2010-08-05 12:58:47 PDT
Unfortunately we could not contact before starting translation. As you know this thread was inactive almost for three years. 
About our translation, we use Narro. Due to some time issues we could not continue translation for the time being, however soon we'll finish remaining untranslated 20% as soon as possible.
I would like to know through which mean means Ferhad has translated firefox. Since it is not Narro I think it would be very difficult to merge both translations, otherwise we might introduce 2 versions of Azerbaijani translation is possible.

Regards,
Elshan

Note You need to log in before you can comment on or make changes to this bug.